package net.wanji.utc.dt.cache;

import net.wanji.utc.dt.pojo.dtconvert.*;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author duanruiming
 * @date 2023/06/19 15:28
 */
@Component
public class SignalDataCache {
    public static final Map<String, List<SchemeInfoPojo>> schemeInfoCache = new HashMap<>();
    public static final Map<String, List<PhaseStageInfoPojo>> phaseStageInfoCache = new HashMap<>();
    public static final Map<String, List<PhaseInfoPojo>> phaseInfoCache = new HashMap<>();
    public static final Map<String, List<LightsInfoPojo>> lightInfoCache = new HashMap<>();

    public static final Map<String, List<String>> realTimeLightCache = new ConcurrentHashMap<>();
    public static final Map<String, List<RunningStatusPojo>> realTimeRunStatusCache = new ConcurrentHashMap<>();
    public static final Map<String, List<PhaseStageStatusPojo>> realTimePhaseStatusStageCache = new ConcurrentHashMap<>();


}
