package net.wanji.utc.dt.netty.codec;

import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToByteEncoder;
import net.wanji.common.utils.licenseUtils.AESUtils;

/**
 * @author duanruiming
 * @date 2023/05/08 10:08
 */
public class MessageEnCoder extends MessageToByteEncoder<String> {
    /**
     * 自定义编码器
     *
     * @param ctx
     * @param msg
     * @param out
     * @throws Exception
     */
    @Override
    protected void encode(ChannelHandlerContext ctx, String msg, ByteBuf out) {
        out.writeBytes(AESUtils.parseHexStr2Byte(msg));
    }
}
