package net.wanji.utc.dt.pojo.netty;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.concurrent.CountDownLatch;

/**
 * @author duanruiming
 * @date 2023/05/08 14:14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MessageResultPojo {
    /**
     * 命令标识
     */
    private String sign;
    /**
     * 计数对象
     */
    private CountDownLatch countDownLatch;
    /**
     * 消息请求时间
     */
    private long startTime;
    /**
     * 灯态毫秒时长
     */
    private int waitMillisecond;
    /**
     * netty响应消息16进制字符串
     */
    private String hexMessageResult;
}
