package net.wanji.utc.dt.service;

import net.wanji.databus.dao.entity.CrossSchedulesPO;
import net.wanji.databus.dto.PlanSectionDTO;
import net.wanji.databus.dto.SchemePhaseLightsDTO;
import net.wanji.databus.vo.PlanSectionVO;
import net.wanji.databus.vo.SchemePhaseLightsVO;

import java.util.Date;
import java.util.List;

public interface StaticInfoService {

    SchemePhaseLightsVO schemePhaseLights(SchemePhaseLightsDTO schemePhaseLightsDTO) throws Exception;

    List<PlanSectionVO> planSection(PlanSectionDTO planSectionDTO) throws Exception;

    List<CrossSchedulesPO> crossSchedules(String crossId) throws Exception;

    Date signalTime(String crossId) throws Exception;
}
